Bitcoin Futures Open Interest - All Exchanges
Total USD value of all open futures contracts across major exchanges including Binance, BitMEX, Kraken, ByBit, and others
Request format
curl -X GET "https://newhedge.io/api/v2/metrics/futures-open-interest/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.
before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.
limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.
:metric_name — one of the metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each metric is fetched independently. Responses are trimmed samples to show structure.
Binance Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_binance_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
9641044090.653
],
[
1786924800000,
9783256748.2283
],
[
1787011200000,
9723510645.864599
]
]
OKX Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_okx_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
2663834186.4039
],
[
1786924800000,
2778690645.5879
],
[
1787011200000,
2735706007.4331
]
]
Deribit Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_deribit_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
1445326544.1495
],
[
1786924800000,
1427159726.4446
],
[
1787011200000,
1434264765.7655
]
]
ByBit Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_bybit_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
4407263321.0442
],
[
1786924800000,
4736536740.4775
],
[
1787011200000,
4686776105.4255
]
]
BitMEX Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_bitmex_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
49788580.968
],
[
1786924800000,
49672647.4841
],
[
1787011200000,
49501162.9411
]
]
Bitget Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_bitget_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
2840931241.3911
],
[
1786924800000,
3009022914.0755
],
[
1787011200000,
3006010119.9725
]
]
Crypto.com Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_cryptocom_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
718144148.7666
],
[
1786924800000,
710788960.6209
],
[
1787011200000,
711150987.9615
]
]
KuCoin Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_kucoin_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
1515556955.3436
],
[
1786924800000,
1639732367.9841
],
[
1787011200000,
1664084375.6997
]
]
Gate.io Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_gateio_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
4119827662.1725
],
[
1786924800000,
4307865997.9208
],
[
1787011200000,
4277768086.6252
]
]
Huobi Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_huobi_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
2059404716.1991
],
[
1786924800000,
2035683997.577
],
[
1787011200000,
2007443874.1261
]
]
Bitfinex Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_bitfinex_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
564776860.7272
],
[
1786924800000,
559629938.4742
],
[
1787011200000,
560119066.1127
]
]
Kraken Futures Open Interest
Data used by the Bitcoin Futures Open Interest chart.
https://newhedge.io/api/v2/metrics/futures-open-interest/oi_kraken_futures?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your API token.
[
[
1786838400000,
151219825.3572
],
[
1786924800000,
156056364.5384
],
[
1787011200000,
152752908.1557
]
]